package com.xinelu.manage.domain.agencycategory;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 机构类别对象 agency_category
 *
 * @author xinelu
 * @date 2024-02-26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "机构类别对象", description = "agency_category")
public class AgencyCategory extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 父级类别id
     */
    @ApiModelProperty(value = "父级类别id")
    private Long parentCategoryId;

    /**
     * 类别名称
     */
    @ApiModelProperty(value = "类别名称")
    @Excel(name = "类别名称")
    private String categoryName;

    /**
     * 类别编码
     */
    @ApiModelProperty(value = "类别编码")
    private String categoryCode;

    /**
     * 类别等级，1：一级类型，2：二级类别，3：三级类别等
     */
    @ApiModelProperty(value = "类别等级，1：一级类型，2：二级类别，3：三级类别等")
    @Excel(name = "类别等级，1：一级类型，2：二级类别，3：三级类别等")
    private Integer categoryLevel;

    /**
     * 类别排序
     */
    @ApiModelProperty(value = "类别排序")
    @Excel(name = "类别排序")
    private Integer categorySort;

    /**
     * 类别概述
     */
    @ApiModelProperty(value = "类别概述")
    @Excel(name = "类别概述")
    private String categoryRemark;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("parentCategoryId", getParentCategoryId())
                .append("categoryName", getCategoryName())
                .append("categoryCode", getCategoryCode())
                .append("categoryLevel", getCategoryLevel())
                .append("categorySort", getCategorySort())
                .append("categoryRemark", getCategoryRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
